For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/work-items-checklist-groups-create-custom.md.
Create a custom group on a work item
Gated on allowcustomgroups (403 when disabled).
POST
/api/v1/partner/work-items/checklist/groups/create-customGated on allow_custom_groups (403 when disabled). Payload: {work_item_type*, work_item_id*, name*}.
#Authorizations
X-API-KEYstringrequiredDeveloper API key (starts with osk_)
Example: osk_1234567890abcdef1234567890abcdef
#Headers
AcceptstringrequiredContent type of response
Example: application/json
Content-TypestringrequiredContent type of request
Example: application/json
#Request body
encrypted_datastringrequired#Responses
201Created
403Custom groups disabled / not allowed
404Work item not found